> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Memory の一覧取得

> ストア内の Memory エントリを一覧取得します。

`GET /api/v1/cloud/memory_stores/{memory_store_id}/memories`

Memory エントリを一覧取得します。`content` は返しません。

## パスパラメータ

| パラメータ             | 説明                     |
| ----------------- | ---------------------- |
| `memory_store_id` | ストア ID（`memstore_...`） |

## ヘッダー

| ヘッダー            | 必須 | 説明             |
| --------------- | -- | -------------- |
| `Authorization` | はい | `Bearer <PAT>` |

## クエリパラメータ

| パラメータ         | 型      | 必須  | 説明                           |
| ------------- | ------ | --- | ---------------------------- |
| `path_prefix` | string | いいえ | パスがこのプレフィックスで始まるエントリをフィルタします |

## リクエスト例

```bash theme={null}
curl "https://api.qoder.com/api/v1/cloud/memory_stores/memstore_xxx/memories?path_prefix=decisions/" \
  -H "Authorization: Bearer $QODER_PAT"
```

## レスポンス

```json theme={null}
{
  "data": [
    {
      "id": "mem_...",
      "type": "memory",
      "memory_store_id": "memstore_...",
      "path": "decisions/arch-choice.md",
      "content_size_bytes": 46,
      "content_sha256": "a1b2c3...",
      "version": 1,
      "metadata": {},
      "created_at": "2026-05-18T08:01:00.000Z",
      "updated_at": "2026-05-18T08:01:00.000Z"
    }
  ],
  "has_more": false,
  "first_id": "mem_...",
  "last_id": "mem_..."
}
```

list エンドポイントは `content` を返しません。完全なコンテンツを読み取るには取得エンドポイントを使用してください。
